package market.Lms.Consumable.vo;

import java.util.Date;

import market.Lms.Consumable.mapper.LmsConsumableStockInfoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="lms_consumable_stock_info", namespace=LmsConsumableStockInfoMapper.class)
public class LmsConsumableStockInfo {

	//2.3.2.13	收发存信息表
	
	@Id
	//单据编号
	private String bill_no;

	@Column
	//仓库编号
	private String warehouse_no;

	@Column
	//仓库名称
	private String warehouse_name;

	@Column
	//业务时间
	private Date business_date;

	@Column
	//单据类型
	private String bill_type;

	@Column
	//物品编号
	private String object_no;

	@Column
	//物品名称
	private String object_name;

	@Column
	//批次号
	private String batch_no;

	@Column
	//商品条码
	private String sn_code;

	@Column
	//规格型号
	private String spec;

	@Column
	//计量单位编号
	private String measure_unit_no;

	@Column
	//计量单位名称
	private String measure_unit_name;

	@Column
	//初始数量
	private int number1;

	@Column
	//初始单价
	private double price1;

	@Column
	//初始金额
	private double amount1;

	@Column
	//入库数量
	private int number2;

	@Column
	//入库单价
	private double price2;

	@Column
	//入库金额
	private double amount2;

	@Column
	//出库数量
	private int number3;

	@Column
	//出库单价
	private double price3;

	@Column
	//出库金额
	private double amount3;

	@Column
	//结转数量
	private int number4;

	@Column
	//结转单价
	private double price4;

	@Column
	//结转金额
	private double amount4;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//时间
	private Date create_time;

	public String getBill_no() {
		return bill_no;
	}

	public void setBill_no(String bill_no) {
		this.bill_no = bill_no;
	}

	public String getWarehouse_no() {
		return warehouse_no;
	}

	public void setWarehouse_no(String warehouse_no) {
		this.warehouse_no = warehouse_no;
	}

	public String getWarehouse_name() {
		return warehouse_name;
	}

	public void setWarehouse_name(String warehouse_name) {
		this.warehouse_name = warehouse_name;
	}

	public Date getBusiness_date() {
		return business_date;
	}

	public void setBusiness_date(Date business_date) {
		this.business_date = business_date;
	}

	public String getBill_type() {
		return bill_type;
	}

	public void setBill_type(String bill_type) {
		this.bill_type = bill_type;
	}

	public String getObject_no() {
		return object_no;
	}

	public void setObject_no(String object_no) {
		this.object_no = object_no;
	}

	public String getObject_name() {
		return object_name;
	}

	public void setObject_name(String object_name) {
		this.object_name = object_name;
	}

	public String getBatch_no() {
		return batch_no;
	}

	public void setBatch_no(String batch_no) {
		this.batch_no = batch_no;
	}

	public String getSn_code() {
		return sn_code;
	}

	public void setSn_code(String sn_code) {
		this.sn_code = sn_code;
	}

	public String getSpec() {
		return spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	public String getMeasure_unit_no() {
		return measure_unit_no;
	}

	public void setMeasure_unit_no(String measure_unit_no) {
		this.measure_unit_no = measure_unit_no;
	}

	public String getMeasure_unit_name() {
		return measure_unit_name;
	}

	public void setMeasure_unit_name(String measure_unit_name) {
		this.measure_unit_name = measure_unit_name;
	}

	public int getNumber1() {
		return number1;
	}

	public void setNumber1(int number1) {
		this.number1 = number1;
	}

	public double getPrice1() {
		return price1;
	}

	public void setPrice1(double price1) {
		this.price1 = price1;
	}

	public double getAmount1() {
		return amount1;
	}

	public void setAmount1(double amount1) {
		this.amount1 = amount1;
	}

	public int getNumber2() {
		return number2;
	}

	public void setNumber2(int number2) {
		this.number2 = number2;
	}

	public double getPrice2() {
		return price2;
	}

	public void setPrice2(double price2) {
		this.price2 = price2;
	}

	public double getAmount2() {
		return amount2;
	}

	public void setAmount2(double amount2) {
		this.amount2 = amount2;
	}

	public int getNumber3() {
		return number3;
	}

	public void setNumber3(int number3) {
		this.number3 = number3;
	}

	public double getPrice3() {
		return price3;
	}

	public void setPrice3(double price3) {
		this.price3 = price3;
	}

	public double getAmount3() {
		return amount3;
	}

	public void setAmount3(double amount3) {
		this.amount3 = amount3;
	}

	public int getNumber4() {
		return number4;
	}

	public void setNumber4(int number4) {
		this.number4 = number4;
	}

	public double getPrice4() {
		return price4;
	}

	public void setPrice4(double price4) {
		this.price4 = price4;
	}

	public double getAmount4() {
		return amount4;
	}

	public void setAmount4(double amount4) {
		this.amount4 = amount4;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

}
